Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019895
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] I. Performancemajoralways2012-02-28 00:422012-04-01 20:39
ReporterflerouxView Statuspublic 
Assigned Toalostale 
PriorityhighResolutionfixedFixed in Version3.0MP10
StatusclosedFix in branchFixed in SCM revisionf1158e744da8
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6
OS VersionDatabase version8.4Ant version1.7
Product Version3.0MP8SCM revision 
Review Assigned To
Web browserGoogle Chrome, Mozilla Firefox
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019895: CPU spike during invoice header click

DescriptionWhen opening the invoice tab in grid mode I navigate to click a record in the grid which then results in CPU utilization spikes of 10-30%. The result of this in a concurrent scenario would be that multiples of 5-10 users will exhaust the CPU.
Steps To ReproduceSee above
Proposed SolutionLooked at the FIC component and currently focusing on the computevalues area which appears to cause the CPU overhead
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0019896 acknowledgedplatform CPU spike during logging in process 
related to defect 00201023.0MP10 closedalostale The usage audit can not be disable 
related to defect 0020124 closedalostale Usage audit is not working for fetch actions 

-  Notes
(0046237)
hgbot (developer)
2012-03-09 16:16

Repository: erp/devel/pi
Changeset: f1158e744da895f9f41179cd70b48ed8152544b5
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Mar 09 16:15:21 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f1158e744da895f9f41179cd70b48ed8152544b5 [^]

Fixed issue 19895. Done several changes to improve the performance of the FIC and reduce the server load (specially when the user selects a record in grid):
- Cached the whole Tab instance in the FIC (not only its related objects (fields, auxiliary inputs, ...)) to avoid an additional (and expensive) query
- Removed the OBCriteria for the attachments and notes. They've been replaced by an OBQuery and a HQL Query to reduce computation time.
- Replaced the UsageAudit call in each DataSourceServlet request by the non-dal version (which greatly reduces the computation cost)
- Added a constructor in the DynamicExpressionParser class so that an instance of ApplicationDictionaryCachedStructures can be passed if it is available. This avoids having to do an expensive call to Weld when the FIC uses the DynamicExpressionParser.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/DynamicExpressionParser.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/ApplicationDictionaryCachedStructures.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceServlet.java
---
(0046822)
alostale (developer)
2012-03-28 13:03

Executed test:
-Attachments still work and are properly displayed
-Notes still work and are properly displayed
(0047079)
hudsonbot (developer)
2012-04-01 20:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/640de9acc2d5 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-02-28 00:42 fleroux New Issue
2012-02-28 00:42 fleroux Assigned To => shuehner
2012-02-28 00:42 fleroux Web browser => Google Chrome, Mozilla Firefox
2012-02-28 00:42 fleroux Modules => Core
2012-02-28 08:16 iperdomo Assigned To shuehner => agaldos
2012-02-28 08:32 alostale Assigned To agaldos => alostale
2012-02-28 08:32 alostale Web browser Google Chrome, Mozilla Firefox => Google Chrome, Mozilla Firefox
2012-02-28 08:32 alostale Type defect => design defect
2012-02-28 08:32 alostale Relationship added related to 0019896
2012-03-09 16:16 hgbot Checkin
2012-03-09 16:16 hgbot Note Added: 0046237
2012-03-09 16:16 hgbot Status new => resolved
2012-03-09 16:16 hgbot Resolution open => fixed
2012-03-09 16:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f1158e744da895f9f41179cd70b48ed8152544b5 [^]
2012-03-26 15:13 alostale Relationship added related to 0020102
2012-03-27 13:44 alostale Relationship added related to 0020124
2012-03-28 13:03 alostale Note Added: 0046822
2012-03-28 13:03 alostale Status resolved => closed
2012-03-28 13:03 alostale Fixed in Version => 3.0MP10
2012-04-01 20:39 hudsonbot Checkin
2012-04-01 20:39 hudsonbot Note Added: 0047079


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker